- block:
  - name: Enable overlay module in initrd
    copy:
      src: initramfs_modules
      dest: /etc/initramfs-tools/modules
      owner: root
      group: root
      mode: '644'

  - name: Install overlay initrd hook script
    template:
      src: init-bottom-hook
      dest: /usr/share/initramfs-tools/scripts/init-bottom/overlay
      owner: root
      group: root
      mode: '755'

  - name: Remove default overlayroot initrd hook
    file:
      state: absent
      path: /usr/share/initramfs-tools/scripts/init-bottom/overlayroot

  - name: Update initramfs
    command: update-initramfs -u -k {{ zoox_kernel_version }}

  become: yes
